﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace MultiSelect_Combo_Grid_Cell_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.SetDataBinding(this.GetData(), null);

            this.ultraComboEditor1.CheckedListSettings.CheckBoxStyle = Infragistics.Win.CheckStyle.CheckBox;
            this.ultraComboEditor1.CheckedListSettings.EditorValueSource = EditorWithComboValueSource.CheckedItems;
            this.ultraComboEditor1.CheckedListSettings.ItemCheckArea = ItemCheckArea.Item;

            this.ultraComboEditor1.Items.Add("Apple");
            this.ultraComboEditor1.Items.Add("Cherry");
            this.ultraComboEditor1.Items.Add("Grape");
            this.ultraComboEditor1.Items.Add("Lemon");
            this.ultraComboEditor1.Items.Add("Lime");
            this.ultraComboEditor1.Items.Add("Watermelon");
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Flavors", typeof(string[]));

            dt.Rows.Add(new object[] { "Lollipop", new string[]{}});
            dt.Rows.Add(new object[] { "Chewing Gum", new string[] { } });
            dt.Rows.Add(new object[] { "Gumdrops", new string[] { } });
            dt.Rows.Add(new object[] { "Jelly Beans", new string[] { } });

            return dt;            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Flavors"].EditorComponent = this.ultraComboEditor1;
        }
    }
}
